#Region "Diclaimer"
'Copyright (c) 2006, Mark Bracewell (bracewell at wgg dot com)
'All rights reserved.
'Redistribution and use in source and binary forms, with or without
'modification, are permitted provided that the following conditions are met: 
'*

'* Redistributions of source code must retain the above copyright
'notice, this list of conditions and the following disclaimer.
'* Redistributions in binary form must reproduce the above copyright
'notice, this list of conditions and the following disclaimer in the
'documentation and/or other materials provided with the distribution.
'* The name Mark Bracewell may not be used to endorse or promote products
'derived from this software without specific prior written permission. 
'* THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY
'EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
'WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
'DISCLAIMED. IN NO EVENT SHALL MARK BRACEWELL BE LIABLE FOR ANY
'DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
'(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
'LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
'ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
'(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
'SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
#End Region
Namespace InfoPool.Data
    Public Class ForumTopicInfo
        Private _topic As String = ""
        Private _desc As String = ""
        Private _topicid As Integer = 0
        Private _visible As Boolean
        Private _locked As Boolean
        Private _section As Boolean
        Private _moderatorkey As Guid

        Public Property moderatorkey() As Guid
            Get
                Return _moderatorkey
            End Get
            Set(ByVal value As Guid)
                _moderatorkey = value
            End Set
        End Property

        Public Property topicid() As Integer
            Get
                Return _topicid
            End Get
            Set(ByVal value As Integer)
                _topicid = value
            End Set
        End Property
        Public Property topic() As String
            Get
                Return _topic
            End Get
            Set(ByVal value As String)
                _topic = value
            End Set
        End Property
        Public Property description() As String
            Get
                Return _desc
            End Get
            Set(ByVal value As String)
                _desc = value
            End Set
        End Property
        Public Property visible() As Boolean
            Get
                Return _visible
            End Get
            Set(ByVal value As Boolean)
                _visible = value
            End Set
        End Property
        Public Property locked() As Boolean
            Get
                Return _locked
            End Get
            Set(ByVal value As Boolean)
                _locked = value
            End Set
        End Property
        Public Property section() As Boolean
            Get
                Return _section
            End Get
            Set(ByVal value As Boolean)
                _section = value
            End Set
        End Property
    End Class
End Namespace