Imports System
Imports System.Configuration
Imports System.Data
Imports System.Data.SqlClient
Imports System.Text
Imports System.Web
Imports System.Xml
Imports Subsonic
Imports InfoPool.Data

Partial Class BlogRSS
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Response.Clear()
        Response.ContentType = "text/xml"
        Dim objX As New XmlTextWriter(Response.OutputStream, Encoding.UTF8)
        objX.WriteStartDocument()
        objX.WriteStartElement("rss")
        objX.WriteAttributeString("version", "2.0")
        objX.WriteStartElement("channel")
        objX.WriteElementString("title", InfoPool.Web.Settings.Name() & ": Blog Posts")
        objX.WriteElementString("link", InfoPool.Web.Settings.SiteURL() & "blogs/default.aspx")
        objX.WriteElementString("description", "Blog Posts for " & InfoPool.Web.Settings.Name())
        objX.WriteElementString("copyright", InfoPool.Web.Settings.Copyright())
        objX.WriteElementString("ttl", "20")
        Dim qry As New Query(Tables.BlogPosts)
        qry.QueryType = QueryType.Select
        qry.SelectList = BlogPosts.Columns.Title & "," & BlogPosts.Columns.Postid & "," & BlogPosts.Columns.PostText & "," & BlogPosts.Columns.Memid
        Dim objReader As SqlDataReader = qry.ExecuteReader()
        While objReader.Read()
            objX.WriteStartElement("item")
            objX.WriteElementString("title", objReader.GetString(0))
            objX.WriteElementString("description", objReader.GetString(2))
            objX.WriteElementString("author", InfoPool.Web.Members.FirstAndLastName(objReader.GetGuid(3)))
            objX.WriteElementString("link", InfoPool.Web.Settings.SiteURL() & "Blog/post.aspx?id=" & objReader.GetInt32(1))
            objX.WriteEndElement()
        End While
        objReader.Close()
        objX.WriteEndElement()
        objX.WriteEndElement()
        objX.WriteEndDocument()
        objX.Flush()
        objX.Close()
        Response.End()
    End Sub
End Class
