<%@ Page Language="VB" MasterPageFile="~/Default.master" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="Statistics_Default" title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<%="<script type=""text/javascript"">setPopUpLoadingPage('" & Page.ResolveUrl("~/loading.aspx") & "');</script>"%>
<asp:ScriptManager ID="ScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Path="~/js/modal/submodalsource.js" />
        </Scripts>
    </asp:ScriptManager>
<div id="body">
    <div class="fullwidth">
        <table cellspacing="0" cellpadding="0" width="100%">
            <tr>
                <td>
                    <h2>Statistics for the <asp:Label ID="SeasonName" runat="server" /> Season</h2>
                    <br />
                    <asp:Label ID="TimeFrame" runat="server" />
                </td>
                <td align="right">
                    <asp:DropDownList ID="SeasonsDropDown" runat="server" AutoPostBack="True"></asp:DropDownList>&nbsp;
                </td>
            </tr>
            <% If IsGameRecorderOrAdmin() = True Then%>
                <tr>
                <td>
                </td>
                <td align="right">
                    <asp:Hyperlink ID="NewSeason" runat="server" Text="New Season" CssClass="submodal-400-300" NavigateUrl="~/Statistics/newSeason.aspx"></asp:Hyperlink>
                    <% If Request("seasonid") Is Nothing = False Then%>
                    <br />
                    <asp:LinkButton ID="MarkAsCurrent" runat="server" Text="Mark As Current" />
                    <% End If %>
                </td>
            </tr>
            <% End IF %>
        </table>
    </div>
    <div id="columnleft">
        <div class="leftblock">
        <h4>Teams</h4>
        <br />
        <asp:ObjectDataSource ID="TeamListDataSource" runat="server" SelectMethod="GetSeasonTeamList" TypeName="InfoPool.Web.League">
            <SelectParameters>
                <asp:Parameter Name="seasonid" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:Repeater ID="TeamListRepeater" runat="server" DataSourceID="TeamListDataSource">
            <ItemTemplate>
                <asp:HyperLink ID="TeamLink" runat="server" Text='<%# Eval("Name") %>' NavigateUrl='<%# "~/statistics/team.aspx?teamid=" & Eval("id").ToString() %>' />
                <br />
            </ItemTemplate>
        </asp:Repeater>
        </div>
        <%If IsGameRecorderOrAdmin() Then%>
        <Club:RolloverLink ID="AddNewGameLink" runat="server" Text="New Game" NavigateURL="~/statistics/newgame.aspx" />
        <br />
        <asp:Hyperlink ID="AddTeam" runat="server" CssClass="submodal-200-200" Text="New Team" />
        <%End If %>
    </div>
    <div id="columnright">
        <div class="rightblock">
        <h3>Score Board</h3>
            <Club:ScoreBoxControl id="ScoreBox" runat="server" />
        </div>
        <div class="rightblock">
        <h3>Upcoming Games</h3><br />
        <asp:ObjectDataSource ID="UpcomingDS" runat="server" SelectMethod="UpcomingSeasonGames" TypeName="InfoPool.Web.League">
            <SelectParameters>
                <asp:Parameter Name="seasonid" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:GridView ID="UpcomingGridView" runat="server" DataSourceID="UpcomingDS" AutoGenerateColumns="false" GridLines="None" Width="100%">
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:Hyperlink ID="matchname" runat="server" Text='<%# Eval("Team1Name").ToString() & " vs. " & Eval("Team2Name").ToString() %>' NavigateUrl='<%# "~/statistics/game.aspx?id=" & Eval("ID").ToString() %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:Label ID="matchdate" runat="server" Text='<%# CDate(Eval("Dte")).ToString("d") & " " & CDate(Eval("Dte")).ToShortTimeString() %>' />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <EmptyDataTemplate>
            No upcoming games.
            </EmptyDataTemplate>
        </asp:GridView>
        </div>
    </div>
</div>
</asp:Content>