<%@ Page Language="VB" MasterPageFile="~/Default.master" Strict="false" AutoEventWireup="false" CodeFile="Game.aspx.vb" Inherits="Statistics_Game" title="Untitled Page" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<%="<script type=""text/javascript"">setPopUpLoadingPage('" & Page.ResolveUrl("~/loading.aspx") & "');</script>"%>
<div id="body">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Path="~/js/modal/submodalsource.js" />
        </Scripts>
    </asp:ScriptManager>
    <div class="fullwidth">
        <h2><asp:Literal ID="GameTitle" runat="server" />&nbsp;</h2>
        
        <br />
        <div style="text-align:center;">
                <asp:Literal ID="Score" runat="server" />
        </div>
        <br />
        <asp:Hyperlink ID="newslink" runat="server" />
        <%If IsGameRecorder() = True Then%>
            <%--The css class for EditLink (or any submodal trigger) is submods-{width}-{height}--%>
                    <asp:HyperLink ID="EditScore" runat="server" CssClass="submodal-400-200" Text="Edit Game Score" />
        <%End If %>
    </div>

    <div class="fullwidth">
        <h3><asp:Label ID="team1name" runat="server" /></h3>
        <br />
        <asp:ObjectDataSource ID="Team1Stats" runat="server" SelectMethod="GameStats" TypeName="InfoPool.Web.League">
            <SelectParameters>
                <asp:Parameter Name="teamid" Type="Int32" />
                <asp:QueryStringParameter Name="gameid" QueryStringField="id" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        
        <asp:GridView ID="Team1StatsGrid" runat="server" GridLines="None" Width="100%" DataSourceID="Team1Stats" AutoGenerateColumns="false">
            <Columns>
                <asp:BoundField SortExpression="DisplayName" HeaderText="Name" DataField="DisplayName" />
                <asp:BoundField SortExpression="Catches" HeaderText="Catches" DataField="Catches" />
                <asp:BoundField SortExpression="Runs" HeaderText="Runs" DataField="Runs" />
                <asp:BoundField SortExpression="Saves" HeaderText="Saves" DataField="Saves" />
                <asp:CheckBoxField SortExpression="Injured" DataField="Injured" HeaderText="Injured" />
                <asp:TemplateField>
                    <ItemTemplate>
                    <%If IsGameRecorder() = True Then%>
                    <%--The css class for EditLink (or any submodal trigger) is submods-{width}-{height}--%>
                    <asp:HyperLink ID="EditLink" runat="server" CssClass="submodal-300-250" Text="Edit" NavigateUrl='<%# "~/statistics/EditStat.aspx?statid=" & Eval("ID").ToString() %>' />
                    <%End If %>    
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
    </div>
    
    <div class="fullwidth">
        <h3><asp:Label ID="team2name" runat="server" /></h3>
        <br />
        <asp:ObjectDataSource ID="Team2Stats" runat="server" SelectMethod="GameStats" TypeName="InfoPool.Web.League">
            <SelectParameters>
                <asp:Parameter Name="teamid" Type="Int32" />
                <asp:QueryStringParameter Name="gameid" QueryStringField="id" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        
        <asp:GridView ID="Team2StatsGrid" runat="server" GridLines="None" Width="100%" DataSourceID="Team2Stats" AutoGenerateColumns="false">
            <Columns>
                <asp:BoundField SortExpression="DisplayName" HeaderText="Name" DataField="DisplayName" />
                <asp:BoundField SortExpression="Catches" HeaderText="Catches" DataField="Catches" />
                <asp:BoundField SortExpression="Runs" HeaderText="Runs" DataField="Runs" />
                <asp:BoundField SortExpression="Saves" HeaderText="Saves" DataField="Saves" />
                <asp:CheckBoxField SortExpression="Injured" DataField="Injured" HeaderText="Injured" />
                <asp:TemplateField>
                    <ItemTemplate>
                        <%If IsGameRecorder() = True Then%>
                    <%--The css class for EditLink1 (or any submodal trigger) is submods-{width}-{height}--%>
                    <asp:HyperLink ID="EditLink1" runat="server" CssClass="submodal-300-250" Text="Edit" NavigateUrl='<%# "~/statistics/EditStat.aspx?statid=" & Eval("ID").ToString() %>' />
                    <%End If %>  
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
</div>
</div>
</asp:Content>