
Partial Class Statistics_NewGame
    Inherits System.Web.UI.Page

    Private m_selectedseasonid As Integer = 0
    Public Property SelectedSeason() As Integer
        Get
            Return m_selectedseasonid
        End Get
        Set(ByVal value As Integer)
            m_selectedseasonid = value
        End Set
    End Property


    Protected Sub AddGame_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles AddGame.Click
        If Team1DropDown.SelectedValue = Team2DropDown.SelectedValue Then
            ErrorStatus.Text = "<strong>Please select 2 different teams.</strong>"
        Else
            Dim newid As Integer = InfoPool.Web.League.AddGame(Integer.Parse(Team1DropDown.SelectedValue.ToString()), Integer.Parse(Team2DropDown.SelectedValue.ToString()), Integer.Parse(SeasonsDropDown.SelectedValue.ToString()), CDate(DateTXT.Text).Add(TimePicker1.SelectedTime.TimeOfDay))
            Response.Redirect("~/statistics/game.aspx?id=" & newid.ToString())
        End If
    End Sub

    Protected Sub SeasonsDropDown_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles SeasonsDropDown.SelectedIndexChanged
        SelectedSeason() = Integer.Parse(CType(sender, DropDownList).SelectedValue.ToString)
        ObjectDataSource1.SelectParameters(0).DefaultValue = SelectedSeason()
    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If IsPostBack = False Then
            SelectedSeason() = InfoPool.Web.Settings.CurrentSeason()
        End If
        ObjectDataSource1.SelectParameters(0).DefaultValue = SelectedSeason()
    End Sub

End Class
