<%@ Page Language="VB" MasterPageFile="~/Default.master" AutoEventWireup="false" CodeFile="Player.aspx.vb" Inherits="Statistics_Player" title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
    <div id="body">
        <div class="fullwidth">
            <table cellspacing="0" cellpadding="0" width="100%">
                <tr>
                    <td>
            <asp:HyperLink ID="AllStats" runat="server" Text="All Statistics" NavigateUrl="~/Statistics/Default.aspx" />&raquo; <asp:HyperLink ID="TeamStats" runat="server" /> &raquo; <asp:Label ID="PlayerName" runat="server" />
                    </td>
                    <td align="right">
                        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="FetchAll" TypeName="InfoPool.Data.SeasonsController"></asp:ObjectDataSource>
                    <asp:UpdatePanel ID="DropDownUP" runat="server">
                        <ContentTemplate>
                            <asp:DropDownList ID="SeasonsDropDown" runat="server" AutoPostBack="True" DataSourceID="ObjectDataSource1" DataTextField="SimpleName" DataValueField="Id"></asp:DropDownList>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                    
                    </td>
                </tr>
            </table>
        </div>
        <div class="fullwidth">
            
            <br />
            <table>
                <tr>
                    <td style="vertical-align: top; width: 100px; text-align: left">
            <asp:Image ID="AvatarImg" runat="server" /></td>
                    <td style="width: 394px">
                        <strong>Name</strong>:
                        <asp:Label ID="PlayerName2" runat="server"></asp:Label><br />
                        <strong>Member Since</strong>:
                        <asp:Label ID="MemSince" runat="server"></asp:Label></td>
                </tr>
            </table>
            
        </div>
    <div class="fullwidth">
        <h2>Statistics</h2><br />
        <asp:UpdatePanel ID="FullStatsUP" runat="server">
            <ContentTemplate>   
               <asp:GridView ID="FullStats" runat="server" AutoGenerateColumns="False" GridLines="None" DataSourceID="FullStatsDS" Width="666px">
                    <Columns>
                        <asp:BoundField SortExpression="TotalCatches" DataField="TotalCatches" HeaderText="Total Catches" />
                        <asp:BoundField SortExpression="AverageCatches" DataField="AverageCatches" HeaderText="Average Catches" />
                        <asp:BoundField SortExpression="TotalRuns" DataField="TotalRuns" HeaderText="Total Runs" />
                        <asp:BoundField SortExpression="AverageRuns" DataField="AverageRuns" HeaderText="Average Runs" />
                        <asp:BoundField SortExpression="TotalSaves" DataField="TotalSaves" HeaderText="Total Saves" />
                        <asp:BoundField SortExpression="AverageSaves" DataField="AverageSaves" HeaderText="Average Saves" />
                    </Columns>
                </asp:GridView>
                <asp:ObjectDataSource ID="FullStatsDS" runat="server" SelectMethod="LoadSynopsysStats" TypeName="InfoPool.Web.League">
                    <SelectParameters>
                        <asp:QueryStringParameter Name="PlayerGuid" QueryStringField="Playerid" Type="Object" />
                        <asp:Parameter Name="SeasonID" Type="Int32" />
                    </SelectParameters>
                </asp:ObjectDataSource>
            </ContentTemplate>
        </asp:UpdatePanel>
        
        <asp:UpdateProgress ID="FullStatsUpProg" runat="server" AssociatedUpdatePanelID="FullStatsUP" DisplayAfter="200">
            <ProgressTemplate>
                <asp:Image ID="loading1" runat="server" SkinID="loading" />
            </ProgressTemplate>
        </asp:UpdateProgress>
    </div>
    <div class="fullwidth">
    <h3>Game Statistics</h3><br />
        <asp:UpdatePanel ID="GameStatsUP" runat="server">
            <ContentTemplate>
                <asp:GridView ID="Gamestats" runat="server" GridLines="None" AutoGenerateColumns="False" Width="611px" DataSourceID="ObjectDataSource2">
                    <Columns>
                        <asp:TemplateField HeaderText="Match">
                            <ItemTemplate>
                                <asp:Label ID="MatchName" runat="server" Text='<%# Eval("MatchName").ToString() & " (" & CDate(Eval("MatchDate")).ToString("d") & ")" %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField SortExpression="Catches" DataField="Catches" HeaderText="Catches" />
                        <asp:BoundField SortExpression="Runs" DataField="Runs" HeaderText="Runs" />
                        <asp:BoundField SortExpression="Saves" DataField="Saves" HeaderText="Saves" />
                        <asp:TemplateField HeaderText="Was Injured">
                            <ItemTemplate>
                                <asp:Label ID="IInjury" runat="server" Text='<%# IIf(CBool(Eval("Injured")), "Yes", "No") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" SelectMethod="LoadGameStats"
                    TypeName="InfoPool.Web.League">
                    <SelectParameters>
                        <asp:QueryStringParameter Name="PlayerGuid" QueryStringField="Playerid" Type="Object" />
                        <asp:Parameter Name="SeasonID" Type="Int32" />
                    </SelectParameters>
                </asp:ObjectDataSource>
            </ContentTemplate>
        </asp:UpdatePanel>
    
        <asp:UpdateProgress ID="GameStatsUpProg" runat="server" AssociatedUpdatePanelID="GameStatsUP" DisplayAfter="200">
            <ProgressTemplate>
                <asp:Image ID="loading2" runat="server" SkinID="loading" />
            </ProgressTemplate>
        </asp:UpdateProgress>
        <br />
    </div>
</div>
</asp:Content>