﻿<%@ Control Language="VB" ClassName="AlbumPicker" %>
<%@ Register TagPrefix="Club" TagName="ImageThumbnail" Src="ImageThumbnail.ascx" %>

<script runat="server">

    Protected Sub albumselect_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs)
        If albumselect.SelectedIndex <> 0 Then
            FormView1.PageIndex = albumselect.SelectedIndex - 1
            FormView1.Visible = True
        Else
            FormView1.Visible = False
        End If
        
    End Sub
    
    Public Property AlbumID() As Object
        Get
           Dim o As Object = albumselect.SelectedValue
            If Not o Is Nothing AndAlso CStr(o) <> "" Then
                Dim val As Integer = CInt(o)
                If val > 0 Then Return val
            End If
            Return DBNull.Value 
        End Get
        Set(ByVal value As Object)
            If value Is Nothing OrElse IsDBNull(value) Then
                FormView1.Visible = False
                albumselect.SelectedIndex = 0
            Else
                AlbumList.SelectParameters("userid").DefaultValue = Membership.GetUser().ProviderUserKey.ToString()
                albumselect.SelectedValue = CStr(value)
                albumselect.DataBind()
                FormView1.PageIndex = albumselect.SelectedIndex - 1
                FormView1.Visible = True
            End If
        End Set
    End Property
    
    Protected Sub albumselect_DataBinding(ByVal sender As Object, ByVal e As System.EventArgs)
        albumselect.Items.Clear()
        albumselect.Items.Add(New ListItem("No Album Selected", "0"))
    End Sub

    Protected Sub AlbumList_Selecting(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.ObjectDataSourceSelectingEventArgs)
        If Page.User.Identity.IsAuthenticated Then
            AlbumList.SelectParameters("userid").DefaultValue = Membership.GetUser().ProviderUserKey.ToString()
        Else
            AlbumList.SelectParameters("userid").DefaultValue = ""
        End If
    End Sub
</script>
<div class="controlblock">

<table>
    <tr valign="top">
        <td style="height: 47px">
            <asp:ListBox DataSourceID="AlbumList" DataTextField="Title" DataValueField="albumid"
                AutoPostBack="true" ID="albumselect" runat="server" AppendDataBoundItems="true"
                Rows="5" OnSelectedIndexChanged="albumselect_SelectedIndexChanged" OnDataBinding="albumselect_DataBinding">
            </asp:ListBox></td>
        <td>
            <asp:FormView DataSourceID="AlbumList" ID="FormView1" runat="server">
                <ItemTemplate>
                    <div style="float: left;">
                        <Club:ImageThumbnail ID="ImageThumbnail1" runat="server" PhotoID='<%# Eval("DisplayImage") %>' />
                    </div>
                    <div>
                        <h4><asp:Label ID="Label1" runat="server" Text='<%# Eval("title") %>' /></h4>
                        <p><asp:Label ID="desclabel" runat="server" Text='<%# Eval("description") %>' />
                        </p>
                        <p>
                            Album contains
                            <asp:Label ID="imagecount" runat="server" Text='<%# Eval("ImageCount") %>' />
                            images. <asp:Label ID="privateLabel" runat="server" Text= " Album is Private. "  Visible='<%# CBool(Eval("isprivate")) %>' />
                            <asp:HyperLink ID="viewlink" runat="server" NavigateUrl='<%# "~/photo/contents.aspx?Albumid=" & cstr(Eval("AlbumID")) %>'
                                Target="_blank" Text="View Album"></asp:HyperLink>
                        </p>
                    </div>
                </ItemTemplate>
            </asp:FormView>
        </td>
    </tr>
</table>
<asp:ObjectDataSource id="AlbumList" runat="server" TypeName="InfoPool.Web.News" SelectMethod="AlbumList" OnSelecting="AlbumList_Selecting">
        <SelectParameters>
            <asp:Parameter Name="userid" Type="Object"  />
        </SelectParameters>
    </asp:ObjectDataSource>
<Club:RolloverLink ID="addlocation" runat="server" NavigateURL="~/photo/new.aspx?Action=new"
    Text="New Album" target="_blank" />
</div>