Imports System 
Imports System.Text 
Imports System.Data
Imports System.Data.SqlClient
Imports System.Data.Common
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Configuration 
Imports System.Xml 
Imports System.Xml.Serialization
Imports SubSonic 
Imports SubSonic.Utilities
Namespace InfoPool.Data
    ''' <summary>
    ''' Controller class for aspnet_PersonalizationPerUser
    ''' </summary>
    <System.ComponentModel.DataObject()> Partial Public Class AspnetPersonalizationPerUserController

        ' Preload our schema..
        Dim thisSchemaLoad As AspnetPersonalizationPerUser = New AspnetPersonalizationPerUser()
        Private strUserName As String = String.Empty
        Protected ReadOnly Property UserName() As String
            Get
                If strUserName.Length = 0 Then

                    If Not System.Web.HttpContext.Current Is Nothing Then
                        strUserName = System.Web.HttpContext.Current.User.Identity.Name
                    Else
                        strUserName = System.Threading.Thread.CurrentPrincipal.Identity.Name
                    End If
                    Return strUserName
                End If
                Return strUserName
            End Get
        End Property
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchAll() As AspnetPersonalizationPerUserCollection

            Dim coll As AspnetPersonalizationPerUserCollection = New AspnetPersonalizationPerUserCollection()
            Dim qry As Query = New Query(AspnetPersonalizationPerUser.Schema)
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll

        End Function
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByID(ByVal Id As Object) As AspnetPersonalizationPerUserCollection

            Dim coll As AspnetPersonalizationPerUserCollection = New AspnetPersonalizationPerUserCollection().Where("Id", Id).Load()
            Return coll

        End Function

        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByQuery(ByVal qry As SubSonic.Query) As AspnetPersonalizationPerUserCollection

            Dim coll As AspnetPersonalizationPerUserCollection = New AspnetPersonalizationPerUserCollection()
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll

        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, True)> Public Function Delete(ByVal Id As Object) As Boolean

            Return (AspnetPersonalizationPerUser.Delete(Id) = 1)

        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, False)> Public Function Destroy(ByVal Id As Object) As Boolean

            Return (AspnetPersonalizationPerUser.Destroy(Id) = 1)

        End Function


        ''' <summary>
        ''' Inserts a record, can be used with the Object Data Source
        ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Insert, True)> Public Sub Insert(ByVal Id As Guid, ByVal PathId As Nullable(Of Guid), ByVal UserId As Nullable(Of Guid), ByVal PageSettings As Byte(), ByVal LastUpdatedDate As DateTime)

            Dim item As AspnetPersonalizationPerUser = New AspnetPersonalizationPerUser()

            item.Id = Id

            item.PathId = PathId

            item.UserId = UserId

            item.PageSettings = PageSettings

            item.LastUpdatedDate = LastUpdatedDate


            item.Save(UserName)

        End Sub

        ''' <summary>
        ''' Updates a record, can be used with the Object Data Source
        ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Update, True)> Public Sub Update(ByVal Id As Guid, ByVal PathId As Nullable(Of Guid), ByVal UserId As Nullable(Of Guid), ByVal PageSettings As Byte(), ByVal LastUpdatedDate As DateTime)

            Dim item As AspnetPersonalizationPerUser = New AspnetPersonalizationPerUser()

            item.Id = Id

            item.PathId = PathId

            item.UserId = UserId

            item.PageSettings = PageSettings

            item.LastUpdatedDate = LastUpdatedDate

            item.MarkOld()
            item.Save(UserName)

        End Sub
    End Class
End Namespace
