﻿<%@ Page Language="VB" MasterPageFile="~/Print.master" Title="Untitled Page" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<%@ Register Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<%@ Register TagPrefix="Club" TagName="WebContent" Src="~/UserControls/WebContent.ascx" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.Sql" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="InfoPool.Data" %>
<%@ Import Namespace="SubSonic" %>

<%@ Register TagPrefix="Club" TagName="LoginBanner" Src="~/UserControls/LoginBanner.ascx" %>
<%@ Register TagPrefix="Club" TagName="ImageThumbnail" Src="~/UserControls/ImageThumbnail.ascx" %>


<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div id="body">

        <div id="columnleft">
            <a name="content_start" id="content_start"></a>
            <div class="leftblock">
                <h2>
                    &nbsp;</h2>
            </div>
            <asp:ObjectDataSource ID="PhotoOBJDS" runat="server" SelectMethod="GetImages" TypeName="InfoPool.Web.News">
                <SelectParameters>
                    <asp:QueryStringParameter Name="NewsID" QueryStringField="ArticleId" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </div>
        <div id="columnright">
            <div class="rightblock">
                <a href="list.aspx"></a></div>
            <div class="rightblock">
                <div class="dashedline">
                </div>
                <asp:ObjectDataSource ID="ArticleOBJDS" runat="server" SelectMethod="GetNewArticle" TypeName="InfoPool.Web.News">
                    <SelectParameters>
                        <asp:QueryStringParameter Name="id" QueryStringField="ArticleID" Type="Int32" />
                    </SelectParameters>
                
                </asp:ObjectDataSource>
                <asp:FormView ID="FormView1" runat="server" DataSourceID="ArticleOBJDS" DataKeyNames="id"
                    Width="444px">
                    <ItemTemplate>
                        <h2>
                            <asp:Label Text='<%# Eval("title") %>' runat="server" ID="titleLabel" />
                        </h2>
                        <div class="itemdetails">
                            <p>
                                <asp:Label Text='<%# Eval("itemdate","{0:D}") %>' runat="server" ID="itemdateLabel" />
                            </p>
                        </div>
                        <Club:ImageThumbnail ID="thumb1" runat="server" ImageSize="large" PhotoID='<%# Eval("photo") %>' />
                        <p>
                            <asp:Label Text='<%# Eval("description") %>' runat="server" ID="descriptionLabel" />
                        </p>
                        <p>
                            &nbsp;&nbsp;</p>
                    </ItemTemplate>
                </asp:FormView>
                &nbsp;<br />
            <asp:Panel ID="PhotoPanel" runat="server" CssClass="leftblock">
                <h2>Associated Album photos</h2>
                <asp:DataList ID="DataList2" runat="server" DataSourceID="PhotoOBJDS" RepeatColumns="2" CellSpacing="2" SelectedIndex="0" ItemStyle-CssClass="unselected">
                    <ItemTemplate>
                        <a href='../photo/contents.aspx?Albumid=<%#Eval("album") %>'>
                            <asp:Image ID="Image1" ImageUrl='<%# "~/UserControls/imagefetch.ashx?size=1&imageid=" & Cstr(Eval("id")) %>'
                                runat="server" /><br />
                            <asp:Label Text='<%# Eval("title") %>' runat="server" ID="titleLabel" />
                        </a>
                    </ItemTemplate>
                </asp:DataList>
            </asp:Panel>
            </div>
        </div>
        <div class="clear2column">
        </div>
    </div>
</asp:Content>