Imports InfoPool.Web
Imports InfoPool.Data

Partial Class Statistics_EditScore
    Inherits System.Web.UI.Page

    Protected Sub UpdateScore_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles UpdateScore.Click
        Dim team1score As Integer = 0
        Dim team2score As Integer = 0
        Dim isvalid As Boolean = True
        Try
            team1score = Integer.Parse(t1score.Text)
            team2score = Integer.Parse(t2score.Text)
        Catch ex As Exception
            isvalid = False
            ErrorLabel.Visible = True
            ErrorLabel.Text = "ERROR: The scores you enter MUST be integers."
            ErrorLabel.ForeColor = Drawing.Color.Red
        End Try

        If isvalid = True Then
            ErrorLabel.Visible = False
            League.UpdateGameScore(Integer.Parse(Request("gameid")), team1score, team2score, iscomplete.Checked)
            Response.Write("<script>window.parent.hidePopWin();</script>")
        End If
    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Request("gameid") Is Nothing Then
            Response.Write("<script>window.parent.hidePopWin()</script>")
        End If
    End Sub
End Class
