Imports InfoPool.Data
Imports InfoPool.Web

Partial Class Statistics_EditStat
    Inherits System.Web.UI.Page

    Protected Sub UpdateStats_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles UpdateStats.Click
        Dim runs As Integer = 0
        Dim catches As Integer = 0
        Dim saves As Integer = 0
        Dim isvalid As Boolean = True
        Try
            runs = Integer.Parse(SavesTXT.Text)
            catches = Integer.Parse(CatchesTXT.Text)
            saves = Integer.Parse(SavesTXT.Text)
        Catch ex As Exception
            isvalid = False
            ErrorLabel.Visible = True
            ErrorLabel.Text = "ERROR: The statistics you enter MUST be integers."
            ErrorLabel.ForeColor = Drawing.Color.Red
        End Try
        If isvalid = True Then
            League.UpdateStatistic(Request("statid"), saves, catches, runs, IsInjured.Checked)
            Response.Write("<script>window.parent.hidePopWin()</script>")
        End If
    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Request("statid") Is Nothing Then
            Response.Write("<script>window.parent.hidePopWin()</script>")
        Else
            Dim stat As New PlayersInStats(PlayersInStats.Columns.Id, Request("statid"))
            PlayerName.Text = Members.FirstAndLastName(stat.Players.MemKey())
        End If
    End Sub
End Class
