<%@ Page Language="VB" MasterPageFile="~/Default.master" AutoEventWireup="false" CodeFile="Team.aspx.vb" Inherits="Statistics_Team" title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div id="body">
        <div class="fullwidth">
            <table cellspacing="0" cellpadding="0" width="100%">
                    <tr>
                        <td>
                <asp:HyperLink ID="AllStats" runat="server" Text="All Statistics" NavigateUrl="~/Statistics/Default.aspx" />&raquo; <asp:Label ID="TeamStats" runat="server" />
                        </td>
                        <td align="right">
                            <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" OldValuesParameterFormatString="original_{0}"
                                SelectMethod="ListTeamsSeason" TypeName="InfoPool.Web.League">
                                <SelectParameters>
                                    <asp:Parameter Name="TeamName" Type="String" />
                                    <asp:Parameter Name="selectedID" Type="int32" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                                <asp:DropDownList ID="SeasonsDropDown" runat="server" AutoPostBack="True" DataSourceID="ObjectDataSource1" DataTextField="SimpleName" DataValueField="TeamID"></asp:DropDownList>
                        
                        </td>
                    </tr>
                </table>
        </div>
        
        <div id="columnleft">
            <div class="leftblock">
            <h2><asp:Label ID="TeamNamelbl" runat="server" /></h2>
            <br />
            Coach: <asp:Label ID="CoachName" runat="server" />
            </div>
            
            <% If IsGameRecorderOrAdmin() = True Then%>
                <div class="leftblock">
                    <h2>Add Player</h2><br />
                    <asp:DropDownList ID="MembersDropDown" runat="server" DataSourceID="MembersDataSource" DataTextField="Lastname" DataValueField="Memberid">
                    </asp:DropDownList><br />
                    <asp:ObjectDataSource ID="MembersDataSource" runat="server" OldValuesParameterFormatString="original_{0}" SelectMethod="FetchAll" TypeName="InfoPool.Data.MemberInfoController"></asp:ObjectDataSource>
                    <asp:LinkButton ID="AddPlayer" runat="server" Text="Add Player" />
                </div>
            <% End If %>
        </div>
        
        <div id="columnright">
            <div class="rightblock">
            <h2>Team Statistics</h2>
            <br />
                <Club:ScoreBoxControl id="ScoreBox" runat="server" />
            </div>
        </div>
        
        <div class="fullwidth">            
            <h2>Player Statistics</h2><br />
            <asp:ObjectDataSource ID="PlayerStatsDS" runat="server" SelectMethod="LoadTeamStats" TypeName="InfoPool.Web.League" OldValuesParameterFormatString="original_{0}">
                <SelectParameters>
                      <asp:Parameter Name="teamid" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
            <asp:GridView ID="GridView1" runat="server" DataSourceID="PlayerStatsDS" GridLines="None" AutoGenerateColumns="False" Width="701px">
                <Columns>
                    <asp:TemplateField HeaderText="Player">
                        <ItemTemplate>
                            <asp:HyperLink ID="PlayerHyperLink" runat="server" Text='<%# Eval("DisplayName") %>' NavigateUrl='<%# "~/statistics/player.aspx?playerid=" & EVal("MemKey").ToString() %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField SortExpression="TotalCatches" DataField="TotalCatches" HeaderText="Total Catches" />
                    <asp:BoundField SortExpression="AverageCatches" DataField="AverageCatches" HeaderText="Average Catches" />
                    <asp:BoundField SortExpression="TotalRuns" DataField="TotalRuns" HeaderText="Total Runs" />
                    <asp:BoundField SortExpression="AverageRuns" DataField="AverageRuns" HeaderText="Average Runs" />
                    <asp:BoundField SortExpression="TotalSaves" DataField="TotalSaves" HeaderText="Total Saves" />
                    <asp:BoundField SortExpression="AverageSaves" DataField="AverageSaves" HeaderText="Average Saves" />
                </Columns>
            </asp:GridView>
        </div>
    </div>
</asp:Content>