﻿<%@ Control Language="VB" ClassName="LocationsPicker" %>
<%@ Register TagPrefix="Club" TagName="ImageThumbnail" Src="ImageThumbnail.ascx" %>

<script runat="server">

    Protected Sub locationselect_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim value As Integer = CInt(locationselect.SelectedValue)
        Select Case value
            Case 0
                FormView1.Visible = False
            Case Else
                FormView1.ChangeMode(FormViewMode.ReadOnly)
                FormView1.PageIndex = locationselect.SelectedIndex - 1
                FormView1.Visible = True
        End Select
    End Sub
     
    Public Property LocationID() As Object
        Get
            Dim o As Object = locationselect.SelectedValue
            If Not o Is Nothing AndAlso CStr(o) <> "" Then
                Dim val As Integer = CInt(o)
                If val > 0 Then Return val
            End If
            Return DBNull.Value
        End Get
        Set(ByVal value As Object)
            If value Is Nothing OrElse IsDBNull(value) Then
                FormView1.Visible = False
                locationselect.SelectedIndex = 0
            Else
                locationselect.DataBind()
                locationselect.SelectedValue = CStr(value)
                FormView1.PageIndex = locationselect.SelectedIndex - 1
                FormView1.Visible = True
            End If
        End Set
    End Property
    
    Protected Sub locationselect_DataBinding(ByVal sender As Object, ByVal e As System.EventArgs)
        locationselect.Items.Clear()
        locationselect.Items.Add(New ListItem("No location Selected", "0"))
    End Sub

</script>
<asp:SqlDataSource ConnectionString="<%$ ConnectionStrings:ClubSiteDB %>" ID="LocationList"
    runat="server" SelectCommand="SELECT [title], [id], [description], [linkURL], [directions], [address], [photo] FROM [Locations]">
</asp:SqlDataSource>

<table>
    <tr valign="top">
        <td style="height: 47px">
            <asp:ListBox ID="locationselect" DataSourceID="LocationList" DataTextField="title"
                DataValueField="id" AutoPostBack="true" runat="server" AppendDataBoundItems="true"
                Rows="5" OnSelectedIndexChanged="locationselect_SelectedIndexChanged" OnDataBinding="locationselect_DataBinding">
            </asp:ListBox>
        </td>
        <td>
            <asp:FormView DataSourceID="LocationList" ID="FormView1" runat="server">
                <ItemTemplate>
                    <div>
                        <p>
                            <asp:Label ID="descriptionLabel" runat="server" Text='<%# truncate(Convert.ToString(Eval("description"))) %>' />
                            <a href='<%# "../Locations/view.aspx?Locationid=" &Cstr( Eval("ID"))%>'>more details &raquo;</a></p>
                        </p>
                        <p>
                            <asp:Label ID="Label1" runat="server" Text='<%# Eval("address") %>' />
                        </p>
                    </div>
                </ItemTemplate>
            </asp:FormView>
        </td>
    </tr>
</table>

<Club:RolloverLink id="addlocation" runat="server" NavigateURL="~/locations/edit.aspx?Action=new" Text="Add Location" target="_new" />
